	for(i = 0; i<MAXTRAP; i++)
		loc_arr[i].func = dummy_func;

	loc_arr[0].func = L_dfree;
	loc_arr[3].func = L_dcreate;
	loc_arr[4].func = L_ddelete;
	loc_arr[5].func = L_dsetpath;
	loc_arr[6].func = L_fcreate;
	loc_arr[7].func = L_fopen;
	loc_arr[8].func = L_fclose;
	loc_arr[9].func = L_fread;
	loc_arr[10].func = L_fwrite;
	loc_arr[11].func = L_fdelete;
	loc_arr[12].func = L_fseek;
	loc_arr[13].func = L_fattrib;
	
	loc_arr[17].func = L_dgetpath;
	loc_arr[21].func = L_pexec;
	loc_arr[24].func = L_fsfirst;
	loc_arr[25].func = L_fsnext;
	loc_arr[32].func = L_frename;
	loc_arr[33].func = L_fdatime;
	
	if ( ! xfs)
	{
		/* We're in single TOS or in MagiC without BNET.XFS
		 * so use NET_TRAP.S functions
		*/
		Trp1trp11();
		Trap_ins();
		if (magx)
		/* One etv_term per process so no XBRA is needed */
			Setexc (0x102, S_ereset);
	}
